
TAGLIB=taglib-2.2.1

all:
	tar xf ${TAGLIB}.tar.gz
	SUBDIR=`racket -e "(display (format \"~a-~a\" (system-type 'os*) (system-type 'arch)))"`; \
	(cd ${TAGLIB};  cmake -DBUILD_SHARED_LIBS=ON -DCMAKE_INSTALL_PREFIX=../lib/$$SUBDIR -DCMAKE_BUILD_TYPE=Release .)
	(cd ${TAGLIB}; make)
	(cd ${TAGLIB}; make install)
	SUBDIR=`racket -e "(display (format \"~a-~a\" (system-type 'os*) (system-type 'arch)))"`; \
	(cd lib/$$SUBDIR/lib; tar cf - *so *.so.*) | (cd ../lib/$$SUBDIR; tar xvf - )

clean:
	rm -rf ${TAGLIB}
	rm -rf lib
